backend:
  name: git-gateway
  branch: main

media_folder: "502culturestatic/public/assets"
public_folder: "502culturestatic/assets"

collections:
  - name: "articles"
    label: "Articles"
    format: "json"
    identifier_field: "title"
    folder: "502culturestatic/src/articles"
    create: true
    slug: "{{slug}}"
    extension: "json"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Summary", name: "summary", widget: "text" }
      - { label: "Author", name: "author", widget: "string" }
      - { label: "Publish Date", name: "publishDate", widget: "datetime" }
      - { label: "Category", name: "category", widget: "string" }
      - { label: "Content", name: "content", widget: "markdown" }
      - label: "Image"
        name: "image-path"
        widget: "image"  # Allows users to select from uploaded images
        media_library:
          config:
            multiple: false
      - { label: "Date Uploaded", name: "date-uploaded", widget: "datetime" }

  - name: "events"
    label: "Events"
    format: "json"
    identifier_field: "title"
    folder: "502culturestatic/src/events"
    create: true
    slug: "{{slug}}"
    extension: "json"
    fields:
      - { label: "Date", name: "date", widget: "datetime" }
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Description", name: "description", widget: "markdown" }
      - { label: "Location", name: "location", widget: "string" }
      - { label: "Link", name: "link", widget: "string", required: false }
      - { label: "Contact", name: "contact", widget: "string", required: false }

  - name: "rectangular-ads"
    label: "Rectangular Ads"
    format: "json"
    identifier_field: "name"
    folder: "502culturestatic/src/ads/rectangular"
    create: true
    slug: "{{slug}}"
    extension: "json"
    fields:
      - { label: "Ad Name", name: "name", widget: "string" }
      - { label: "Ad Image", name: "image", widget: "image" }
      - { label: "Ad Link", name: "link", widget: "string" }

  - name: "square-ads"
    label: "Square Ads"
    format: "json"
    identifier_field: "name"
    folder: "502culturestatic/src/ads/square"
    create: true
    slug: "{{slug}}"
    extension: "json"
    fields:
      - { label: "Ad Name", name: "name", widget: "string" }
      - { label: "Ad Image", name: "image", widget: "image" }
      - { label: "Ad Link", name: "link", widget: "string" }